# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  wmm-test.exe

#include Makefile-include.txt

.PHONY: test
test: wmm-test.exe
	./wmm-test.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump wmm-test

wmm-test.o: wmm-test.c ../../src/util/memory.h ../../src/util/timer.h ../../src/util/units.h ../../src/wmm/wmm.h
	$(CC) $(CFLAGS) -c wmm-test.c -o wmm-test.o

wmm-test.exe: ../../src/util/error.o ../../src/util/memory.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o wmm-test.o
	$(CC) $(CFLAGS) -o wmm-test.exe  ../../src/util/error.o ../../src/util/memory.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o wmm-test.o $(LIBS) -lm 

# Checksum of the original file: 3360288102
